Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Unsupported MySQL Version

Discussion in 'Discusión en Español' started by ksgalicia, Feb 22, 2019.

  1. ksgalicia

    ksgalicia Well-Known Member

    Joined:
    Aug 4, 2016
    Messages:
    56
    Likes Received:
    5
    Trophy Points:
    8
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hola!

    Recientemente me he encontrado un aviso de "Unsupported MySQL Version" en WHM de que hay que actualizar el motor de base de datos.

    Pues bien, al acceder allí me recomienda cambiar a MariaDB. Mi pregunta es: ¿Qué pasaría con las páginas web, aplicaciones webs, phpMyAdmin, las copias de seguridad, etc...? ¿Es compatible? ¿Habría problemas de incompatibilidades? ¿Es estable el MySQL/MariaDB Upgrade interface?

    Muchas gracias!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    47,503
    Likes Received:
    2,179
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello @ksgalicia,

    MariaDB is considered a drop-in replacement for MySQL. Most of the configuration settings are cross-compatible, however it's possible the performance impact of those configuration settings will differ with MariaDB. Additionally, while most settings are cross-compatible, there are some compatibility issues to be aware of:

    MariaDB versus MySQL - Compatibility

    The primary decision centers around choosing MySQL version 5.7 or MariaDB 10.3. We created a blog post that details why we added support for MySQL 5.7 to the product:

    Being a Good Open Source Community Member: Why we hesitated on MySQL 5.7 | cPanel Blog

    One caveat about MariaDB to keep-in-mind is that upgrades to MariaDB are currently one-way, meaning you can't switch back to MySQL after converting to MariaDB. Thus, you may want to upgrade to MySQL 5.7 first and then switch to MariaDB later if you determine it's a better fit.

    Thank you.

    Translation:

    Hola @ksgalicia,

    MariaDB se considera un reemplazo directo para MySQL. La mayoría de los ajustes de configuración son compatibles entre sí, sin embargo, es posible que el impacto en el rendimiento de esos ajustes de configuración difiera con MariaDB. Además, aunque la mayoría de las configuraciones son compatibles entre sí, hay algunos problemas de compatibilidad que deben tenerse en cuenta:

    MariaDB versus MySQL - Compatibilidad

    La decisión principal se centra en elegir MySQL versión 5.7 o MariaDB 10.3. Creamos una publicación de blog que detalla por qué agregamos soporte para MySQL 5.7 al producto:

    Ser un buen miembro de la comunidad de código abierto: por qué dudamos en MySQL 5.7 | cPanel Blog

    Una advertencia sobre MariaDB para tener en cuenta es que las actualizaciones a MariaDB actualmente son de una sola vía, lo que significa que no puede volver a MySQL después de convertir a MariaDB. Por lo tanto, es posible que desee actualizar a MySQL 5.7 primero y luego cambiar a MariaDB más adelante si determina que es mejor.

    Gracias.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice